Subject: Re: [PATCH v11 net-next 2/9] net: mdio: mscc-miim: add ability to be used in a non-mmio configuration

From: Colin Foster <[email-masked]>
Date: Tue, 28 Jun 2022 11:31:16 -0700

Hi Vladimir,

On Tue, Jun 28, 2022 at 04:26:05PM +0000, Vladimir Oltean wrote:
> On Tue, Jun 28, 2022 at 01:17:02AM -0700, Colin Foster wrote:
> > There are a few Ocelot chips that contain the logic for this bus, but are
> > controlled externally. Specifically the VSC7511, 7512, 7513, and 7514. In
> > the externally controlled configurations these registers are not
> > memory-mapped.
> > 
> > Add support for these non-memory-mapped configurations.
> > 
> > Signed-off-by: Colin Foster <[email-masked]>
> > ---
> 
> These "add ability to be used in a non-MMIO configuration" commit
> messages are very confusing when you are only adding support for
> non-MMIO in ocelot_platform_init_regmap_from_resource() in patch 9/9.
> May I suggest a reorder?

Initially my plan was to get the MFD base functionality (SPI protocol,
chip reset, etc.) in and roll in each peripheral one at a time. That was
changed in v6 I believe...

Maybe a commit reword to suggest "utilize a helper function"?